Bug 430030 - Email still required when creating users
Email still required when creating users
Status: CLOSED ERRATA
Product: freeIPA
Classification: Community
Component: ipa-server (Show other bugs)
1.0
All Linux
low Severity low
: ---
: ---
Assigned To: Rob Crittenden
Chandrasekar Kannan
:
Depends On:
Blocks: freeipa10 429034
  Show dependency treegraph
 
Reported: 2008-01-24 02:12 EST by Chandrasekar Kannan
Modified: 2012-03-27 03:15 EDT (History)
5 users (show)

See Also:
Fixed In Version: freeipa-2.0.0-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-27 03:15:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chandrasekar Kannan 2008-01-24 02:12:32 EST
Ticket #161 (new defect)

Opened 1 month ago

Last modified 1 month ago
Email still required when creating users
Reported by: 	davido 	Assigned to: 	kmacmill
Priority: 	minor 	Milestone: 	release-1
Component: 	ipa-server 	Version: 	
Keywords: 		Cc: 	
Description ΒΆ

From single-sign-on: davido:> If you create a user with the webUI, an email is mandatory. Currently it defaults to <login>@foo.bar

rob: I can't reproduce the foo.bar behavior. Can you make a bug and assign it to Simo? He's handling that part of the configuration.

Latest info: I tested this again with build FC7/i386/2007-12-07_03_01-build/dist and foo.bar has been replaced by my.domain.

Second part: davido:> If you use the cli, no email is required, and you can then view that user in the webUI, no email in sight.

rob: E-mail has already been removed as a required field. The default mail domain should probably be a configuration option stored in cn=ipaconfig. I'll file a task on that.

Latest info: Email is still required. I tried me@here but that was rejected. I tried me@here.there and that was ok. I open the admin user to test editing some other fields, but then I couldn't do "Update User" until I added an email address. Output from ipa_error.log for the test user below:

2007-12-10 19:32:11,712 ipagui.controllers ERROR CherryPy? 500 error (500 - Internal Server Error) for request 'POST /user/create' Traceback (most recent call last):

    File "/usr/lib/python2.5/site-packages/cherrypy/_cphttptools.py", line 105, in _run

        self.main()

    File "/usr/lib/python2.5/site-packages/cherrypy/_cphttptools.py", line 254, in main

        body = page_handler(*virtual_path, **self.params)

    File "<string>", line 3, in create File "/usr/lib/python2.5/site-packages/turbogears/controllers.py", line 344, in expose

        *args, **kw)

    File "<string>", line 5, in run_with_transaction File "/usr/lib/python2.5/site-packages/turbogears/database.py", line 312, in so_rwt

        retval = func(*args, **kw)

    File "<string>", line 5, in _expose File "/usr/lib/python2.5/site-packages/turbogears/controllers.py", line 359, in <lambda>

        mapping, fragment, args, kw)))

    File "/usr/lib/python2.5/site-packages/turbogears/controllers.py", line 386, in _execute_func

        output = errorhandling.try_call(func, *args, **kw)

    File "/usr/lib/python2.5/site-packages/turbogears/errorhandling.py", line 72, in try_call

        return func(self, *args, **kw)

    File "<string>", line 3, in create File "/usr/lib/python2.5/site-packages/turbogears/identity/conditions.py", line 235, in require

        return fn(self, *args, **kwargs)

    File "/var/tmp/ipa-server-0.5.0-1-root-root/usr/share/ipa/ipagui/subcontrollers/user.py", line 204, in create File "/usr/lib/python2.5/site-packages/ipa/ipaclient.py", line 123, in add_user

        def get_all_users(self):

    File "/var/tmp/ipa-server-0.5.0-1-root-root/usr/share/ipa/ipaserver/funcs.py", line 479, in add_user File "/var/tmp/ipa-server-0.5.0-1-root-root/usr/share/ipa/ipaserver/ipaldap.py", line 445, in addEntry File "/var/tmp/ipa-server-0.5.0-1-root-root/usr/share/ipa/ipaserver/ipaldap.py", line 172, in inner File "/usr/lib/python2.5/site-packages/ldap/ldapobject.py", line 185, in add_s

        msgid = self.add(dn,modlist)

    File "/var/tmp/ipa-server-0.5.0-1-root-root/usr/share/ipa/ipaserver/ipaldap.py", line 174, in inner File "/usr/lib/python2.5/site-packages/ldap/ldapobject.py", line 182, in add

        return self.add_ext(dn,modlist,None,None)

    File "/var/tmp/ipa-server-0.5.0-1-root-root/usr/share/ipa/ipaserver/ipaldap.py", line 174, in inner File "/usr/lib/python2.5/site-packages/ldap/ldapobject.py", line 168, in add_ext

        return self._ldap_call(self._l.add_ext,dn,modlist,EncodeControlTuples?(serverctrls),EncodeControlTuples?(clientctrls))

    File "/var/tmp/ipa-server-0.5.0-1-root-root/usr/share/ipa/ipaserver/ipaldap.py", line 176, in inner File "/usr/lib/python2.5/site-packages/ldap/ldapobject.py", line 97, in _ldap_call

        result = func(*args,**kwargs)

TypeError?: ('expected a string in the list', None)
Comment 1 Rob Crittenden 2008-01-29 22:11:35 EST
E-mail is no longer required in the UI.

Comment 5 Suzanne Hillman 2008-04-08 16:57:38 EDT
Verified that email is not required in either CLI or Web UI as of
20080407.el5ipa build (and long before that one).

Note You need to log in before you can comment on or make changes to this bug.